Bug 165459

Summary: Update fetchmail to 6.3.31
Product: Ports & Packages Reporter: Cy Schubert <cy>
Component: Individual Port(s)Assignee: Cy Schubert <cy>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Cy Schubert freebsd_committer 2012-02-24 23:50:11 UTC
Update fetchmail from 6.3.20 to 6.3.21.

Fix: Apply the following patch to update fetchmail to 6.3.21.

cvs diff: Diffing .


Email sent to maintainer (Corey Halpin <chalpin@cs.wisc.edu>) to approve
the above commit.--ISCW9nhijyt2TyNcjLdxX4f6McUu5WmaoDQH4vW9iYFNMaUO
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/mail/fetchmail/Makefile,v
retrieving revision 1.220
diff -u -r1.220 Makefile
--- Makefile	23 Sep 2011 22:23:54 -0000	1.220
+++ Makefile	24 Feb 2012 23:27:27 -0000
@@ -11,12 +11,13 @@
 # want fetchmailconf to work, define the X11 option.
 
 PORTNAME=	fetchmail
-PORTVERSION=	6.3.20
+PORTVERSION=	6.3.21
 PORTREVISION=	2
 CATEGORIES=	mail ipv6
-MASTER_SITES=	BERLIOS/fetchmail/ \
-		http://mandree.home.pages.de/fetchmail/ \
-		SUNSITE/system/mail/pop/fetchmail/
+MASTER_SITES=	BERLIOS/${PORTNAME}/ \
+		SF/${PORTNAME}/branch_6.3/ \
+		http://mandree.home.pages.de/${PORTNAME}/ \
+		SUNSITE/system/mail/pop/${PORTNAME}/
 
 MAINTAINER=	chalpin@cs.wisc.edu
 COMMENT=	Batch mail retrieval utility for IMAP/POP3/ETRN/ODMR
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/mail/fetchmail/distinfo,v
retrieving revision 1.140
diff -u -r1.140 distinfo
--- distinfo	6 Jun 2011 14:54:42 -0000	1.140
+++ distinfo	24 Feb 2012 23:27:28 -0000
@@ -1,2 +1,2 @@
-SHA256 (fetchmail-6.3.20.tar.xz) = 14767c897f613fb11e04a14154abcdeab5938e199da8aa68fbbf0fbc6639d720
-SIZE (fetchmail-6.3.20.tar.xz) = 1253216
+SHA256 (fetchmail-6.3.21.tar.xz) = dc1b92666df7bc4d6be3e66654e9894bcaa76527ea99183deabd9e11486e0f82
+SIZE (fetchmail-6.3.21.tar.xz) = 1254704
cvs diff: Diffing files
cvs diff: files/patch-fix-embedded-NULs was removed, no comparison available
How-To-Repeat: N/A
Comment 1 Cy Schubert freebsd_committer 2012-02-24 23:51:20 UTC
State Changed
From-To: open->analyzed

Patch ready for commit. Sent email to maintainer 
(Corey Halpin <chalpin@cs.wisc.edu>) for approval. 


Comment 2 Cy Schubert freebsd_committer 2012-02-24 23:51:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cy

Patch ready for commit. Sent email to maintainer 
(Corey Halpin <chalpin@cs.wisc.edu>) for approval.
Comment 3 Cy Schubert freebsd_committer 2012-02-24 23:56:27 UTC
State Changed
From-To: analyzed->closed

Maintainer approved. Committed.
Comment 4 dfilter service freebsd_committer 2012-02-24 23:56:28 UTC
cy          2012-02-24 23:56:18 UTC

  FreeBSD ports repository

  Modified files:
    mail/fetchmail       Makefile distinfo 
  Removed files:
    mail/fetchmail/files patch-fix-embedded-NULs 
  Log:
  Update 6.3.20 --> 6.3.21
  
  PR:             165459
  Approved by:    Maintainer (Corey Halpin <chalpin@cs.wisc.edu>)
  
  Revision  Changes    Path
  1.221     +5 -5      ports/mail/fetchmail/Makefile
  1.141     +2 -2      ports/mail/fetchmail/distinfo
  1.2       +0 -51     ports/mail/fetchmail/files/patch-fix-embedded-NULs (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"